#!/bin/sh

download_git()
{
	git clone https://codeberg.org/libreboot/lbmk psdgtest || exit 1
	git -C psdgtest reset --hard 7f0ca5455a43fd711787adce0de880212b9159d0 || \
	    exit 1
}

redownload_with_vendorfiles()
{
	(
	cd psdgtest || exit 1
	for i in config/coreboot/*; do
		[ -d "$i" ] || continue
		./vendor download ${i##*/} || exit 1
	done
	mkdir ../vendorfiles || exit 1
	mv vendorfiles/cache ../vendorfiles/ || exit 1

	cd ../ || exit 1
	rm -Rf psdgtest/ || exit 1
	download_git || exit 1
	mv vendorfiles/ psdgtest/ || exit 1
	) || exit 1
}

download_packages()
{
	(
	cd psdgtest || exit 1
	for i in config/git/*; do
		[ -f "$i" ] || continue
		./update trees -f ${i##*/} || exit 1 # all must be downloaded, for a reliable test
	done
	) || exit 1
}

download_git
redownload_with_vendorfiles
download_packages

(
cd psdgtest

rm -Rf vendorfiles/cache/18261d0f7f27e9de3b0b5a25019b9a934ef1a61cd3f0140e34f38553695e91e671e227a8fa962774edceab5c7804d13ed9fe1c518c5643c7c8f15632f903a6c4_extracted || :

startdate=$(date +%s)
./build roms all
enddate=$(date +%s)

printf "\n"
endtime=$(( enddate - startdate ))

printf "time: %d seconds\n" "${endtime}"
)
